#    This file is part of the FElt finite element analysis package.
#    Copyright (C) 1993 Jason I. Gobat and Darren C. Atkinson
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

CFLAGS	= $(CCOPTS) $(XCFLAGS) -DLIBDIR=\"$(LIBDIR)\" -I../../inc

LDFLAGS	= $(LDOPTS) $(XLDFLAGS)

LIBS	= ../../lib/Widgets/libwidgets.a ../../lib/Felt/libfelt.a\
	  ../../lib/Elements/libelt.a ../../lib/Generate/libcord.a\
          ../../lib/Geompack/libgeompack.a

OBJS	= error.o globals.o velvet.o panel.o node.o tools.o misc.o file.o\
          vfe.o solve.o output.o material.o force.o constraint.o load.o\
	  element.o generate.o stress.o bivar.o structure.o filedialog.o\
          apply.o elementlist.o trimesh.o canvas.o solution.o nodeop.o\
	  elementop.o callbacks.o outputdialog.o

PROG	= velvet


include ../../Makefile.conf


all:		$(PROG)

clean:;		@rm -f $(OBJS) $(PROG) core

install:	all
		@cp $(PROG) $(BINDIR) && chmod 555 $(BINDIR)/$(PROG) && \
		 strip $(BINDIR)/$(PROG) || true
		@cp Velvet.ad $(XDEFDIR)/Velvet && chmod 444 $(XDEFDIR)/Velvet \
		 || true

$(PROG):	$(OBJS) $(LIBS)
		$(LD) -o $(PROG) $(LDFLAGS) $(OBJS) $(LIBS) $(XLIBS) $(FLIBS)\
		-lm $(SYSLIBS)
